apiVersion: apps/v1
kind: Deployment
metadata:
  name: bank
  namespace: yii
  labels:
    app: bank
spec:
  replicas: 0
  selector:
    matchLabels:
      app: bank
  template:
    metadata:
      labels:
        app: bank
    spec:
      nodeSelector:
        apps/stable: "true"
      containers:
        - name: bank
          image: oteixido/bank:2.0.0
          ports:
            - containerPort: 80
          env:
            - name: YII_PRETTY_URL
              value: "true"
            - name: YII_INVOICE_UPLOAD
              value: "/uploads/invoices"
            - name: YII_DB_HOST
              value: "mysql.mysql"
            - name: YII_DB_PORT
              value: "3306"
            - name: YII_DB_NAME
              value: "bank"
            - name: YII_DB_USER
              valueFrom:
                secretKeyRef:
                  name: bank
                  key: DATABASE_USERNAME
            - name: YII_DB_PASS
              valueFrom:
                secretKeyRef:
                  name: bank
                  key: DATABASE_PASSWORD
            - name: YII_REQUEST_COOKIE_KEY
              valueFrom:
                secretKeyRef:
                  name: bank
                  key: REQUEST_COOKIE_KEY
          volumeMounts:
            - name: bank-files
              subPath: files
              mountPath: /uploads
            - name: tz-config
              mountPath: /etc/localtime
              readOnly: true              
      volumes:
        - name: bank-files
          persistentVolumeClaim:
            claimName: bank-files
        - name: tz-config
          hostPath:
            path: /usr/share/zoneinfo/Europe/Madrid
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: bank2
  namespace: yii
  labels:
    app: bank2
spec:
  selector:
    matchLabels:
      app: bank2
  template:
    metadata:
      labels:
        app: bank2
    spec:
      nodeSelector:
        apps/stable: "true"
      containers:
        - name: bank2
          image: oteixido/bank:2.0.0
          ports:
            - containerPort: 80
          env:
            - name: YII_PRETTY_URL
              value: "true"
            - name: YII_INVOICE_UPLOAD
              value: "/uploads/invoices"
            - name: YII_DB_HOST
              value: "mysql.mysql"
            - name: YII_DB_PORT
              value: "3306"
            - name: YII_DB_NAME
              value: "bank2"
            - name: YII_DB_USER
              valueFrom:
                secretKeyRef:
                  name: bank2
                  key: DATABASE_USERNAME
            - name: YII_DB_PASS
              valueFrom:
                secretKeyRef:
                  name: bank2
                  key: DATABASE_PASSWORD
            - name: YII_REQUEST_COOKIE_KEY
              valueFrom:
                secretKeyRef:
                  name: bank2
                  key: REQUEST_COOKIE_KEY
          volumeMounts:
            - name: bank2-files
              subPath: files
              mountPath: /uploads
            - name: tz-config
              mountPath: /etc/localtime
              readOnly: true              
      volumes:
        - name: bank2-files
          persistentVolumeClaim:
            claimName: bank2-files
        - name: tz-config
          hostPath:
            path: /usr/share/zoneinfo/Europe/Madrid       
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: afa
  namespace: yii
  labels:
    app: afa
spec:
  replicas: 0
  selector:
    matchLabels:
      app: afa
  template:
    metadata:
      labels:
        app: afa
    spec:
      nodeSelector:
        apps/stable: "true"
      containers:
        - name: afa
          image: oteixido/ampa:amd64-1.14.1
          ports:
            - containerPort: 80
          env:
            - name: YII_PRETTY_URL
              value: "true"
            - name: YII_DB_HOST
              value: "mysql.mysql"
            - name: YII_DB_PORT
              value: "3306"
            - name: YII_DB_NAME
              value: "afa"
            - name: YII_DB_USER
              valueFrom:
                secretKeyRef:
                  name: afa
                  key: DATABASE_USERNAME
            - name: YII_DB_PASS
              valueFrom:
                secretKeyRef:
                  name: afa
                  key: DATABASE_PASSWORD
            - name: YII_REQUEST_COOKIE_KEY
              valueFrom:
                secretKeyRef:
                  name: afa
                  key: REQUEST_COOKIE_KEY
          volumeMounts:
            - name: afa-files
              subPath: files
              mountPath: /uploads
            - name: tz-config
              mountPath: /etc/localtime
              readOnly: true              
      volumes:
        - name: afa-files
          persistentVolumeClaim:
            claimName: afa-files
        - name: tz-config
          hostPath:
            path: /usr/share/zoneinfo/Europe/Madrid       
---
apiVersion: v1
kind: Service
metadata:
  name: bank
  namespace: yii
  labels:
    app: bank
spec:
  ports:
    - port: 80
      targetPort: 80
  selector:
    app: bank
---
apiVersion: v1
kind: Service
metadata:
  name: bank2
  namespace: yii
  labels:
    app: bank2
spec:
  ports:
    - port: 80
      targetPort: 80
  selector:
    app: bank2
---
apiVersion: v1
kind: Service
metadata:
  name: afa
  namespace: yii
  labels:
    app: afa
spec:
  ports:
    - port: 80
      targetPort: 80
  selector:
    app: afa
